#ifndef AK_BASE64_UTIL_HPP
#define AK_BASE64_UTIL_HPP

#include <string>

namespace Akenti {


class Base64Util {

public: 

  ~Base64Util();

  /**
    * Formats a base64 string into 64 character lines seperated by newlines.
    */
  static std::string format(const std::string& base64String);

  /**
    * Removes all formating (spaces, line returns etc.) from a base64 string.
    */
  static std::string deformat(const std::string& base64String);

private:

  Base64Util();

};

}

#endif
