#ifndef AKENTI_DELETE_RESOURCE_RESPONSE_HPP
#define AKENTI_DELETE_RESOURCE_RESPONSE_HPP

#include "AkentiResponse.hpp"

namespace Akenti {

/**
  * Class to handle <i>DeleteResourceResponse</i>.
  *
  * @see DeleteResourceRequest 
  * @see AkentiResponse
  */
class DeleteResourceResponse : public AkentiResponse {
 
public:

  /**
    * Constuctor.
    */
  DeleteResourceResponse();

  /**
    */
  ~DeleteResourceResponse();

private:

  friend class AkentiResponse;
  friend class AkentiRequestResponseImplFactory;
  class DeleteResourceResponseImpl;
  static AkentiResponseImpl* getResponseImpl();
  typedef DeleteResourceResponseImpl* ImplType;

};

}

#endif
