#ifndef AK_XSTR_HPP
#define AK_XSTR_HPP

#include "Xerces-Decls.hpp"

namespace Akenti {

/**
  * Used to convert chars to XMLchars.
  */

class XStr {

friend class XMLUtil;

public :

  /**
    */
  ~XStr();

  /** 
    */
  operator const XMLCh*() const;

  /**
    */
  const XMLCh* toXMLCh() const;

private :

  /**
    */
  XStr(const char* const);
  XStr(const XStr&);

  XMLCh*   unicodeForm;  

};

}

#endif
